Replay a previously created partner webhook event
curl --request POST \
--url https://api-staging.cashweb.cash/api/v1/partner/webhooks/events/{event_id}/replay \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api-staging.cashweb.cash/api/v1/partner/webhooks/events/{event_id}/replay"
headers = {"X-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api-staging.cashweb.cash/api/v1/partner/webhooks/events/{event_id}/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"aggregate_id": "01917f00-7b4c-7f56-8a2b-15998d58c9f3",
"attempts": 2,
"event_id": "01917f00-7b4c-7f56-8a2b-15998d58c9f3",
"event_type": "transaction.completed",
"publish_status": "pending",
"replay_scheduled_at": "2026-02-12T12:06:00Z"
},
"message": "Webhook replay scheduled",
"success": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Webhook event not found",
"timestamp": "2026-02-12T12:00:00Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Partner API
Replay a previously created partner webhook event
Requeues an existing partner webhook event for redelivery without minting a new logical event id.
POST
/
partner
/
webhooks
/
events
/
{event_id}
/
replay
Replay a previously created partner webhook event
Authorizations
Path Parameters
Webhook event identifier
Response
Webhook event replay scheduled
Standard API response wrapper for all successful responses
⌘I